<?xml version="1.0" encoding="utf-8"?>
<taskrunner name="fix" version="1.0" date="2009-09-07" maxthreads="1">

  <!--
    We discoverd a problem with the desktop icons for Vida when reinstalling Vida2009D over
    Vida2010A. when Vida2009D is reinstalled the desktop icons are corrupt and the program folder
    Vida in the start menu is missing. This script creates new icons and recreates the vida program
    folder and runs the configurator.
    
  -->

  <includes>
    <file name="vida.install.settings.xml" />
  </includes>

  <tasks>
    <task name="fix.shortcuts">
      <subtasks filename="vida.dsnew.xml"/>
    </task>

    <task name="start.vidaconfig.app" typename="@CommandLine">
      <description>
        Starts the vida configuration application.
      </description>
      <dependencies list="fix.shortcuts"/>
      <parameters>
        <parameter name="filename" value="${target.vida.config.fullpath}"/>
        <parameter name="arguments" value="VidaHome=%{VIDA_HOME}"/>
      </parameters>
    </task>

  </tasks>

</taskrunner>